# Interface SettingsEvents<T>

A type that maps event names to their corresponding event object types for an instance of Settings.

interface SettingsEvents<T> {
property-change: {
property: keyof T;
};
}

#### Type Parameters

- T

#### Hierarchy (view full)

- SettingsEvents
  - SchemaEvents

#####
Index

### Properties

property-change

##
Properties

### property-change

property-change: {
property: keyof T;
}

Fires when a setting is changed, either locally or by a parent settings instance. The event object contains the name of the setting that changed.